<mat-card>
    <mat-card-header>
        <div class="example-button-row">
            <mat-card-title class="title">اطلاعات تجهیزات
                <button mat-mini-fab color="primary" [routerLink]="['/equipment/new']">
                    <mat-icon>add</mat-icon>
                </button>

                <button mat-mini-fab color="warn" [routerLink]="['/equipment/null']">
                    <mat-icon>edit</mat-icon>
                </button>
            </mat-card-title>
        </div>
    </mat-card-header>
    <mat-card-content>
        <div class="grid-wrapper">
            <kendo-grid [data]="query | async" [pageSize]="state.take" [skip]="state.skip" [sort]="state.sort" [sortable]="{ mode: 'multiple' }" [pageable]="{
      buttonCount: buttonCount,
      info: info,
      type: type,
      pageSizes: pageSizes,
      previousNext: previousNext
    }" [scrollable]="'scrollable'" [filterable]="true" [filter]="state.filter" (dataStateChange)="dataStateChange($event)" [height]="450">
                <!-- [groupable]="{ showFooter: true }" [group]="state.group" [filterable]="true" [filter]="state.filter" -->
                <!-- <kendo-grid-column field="id" title="سریال" width="40">
        </kendo-grid-column> -->
                <!-- <a mat-mini-fab [routerLink]="['/equipment/', dataItem.equip_ID]">ویرایش</a> -->
                <kendo-grid-command-column title="ع" width="50" [resizable]="false" [locked]="true">
                    <ng-template kendoGridCellTemplate let-dataItem="dataItem">
                        <button mat-icon-button>
                            <mat-icon [routerLink]="['/equipment/', dataItem.equip_ID]" color="accent">create</mat-icon>
                        </button>
                    </ng-template>
                </kendo-grid-command-column>
                <kendo-grid-column field="equip_Name" title="نام تجهیزات" width="100">
                    <!-- </kendo-grid-column>
        <kendo-grid-column field="parent_Equip_ID" title="کد والد" width="100"> -->
                </kendo-grid-column>
                <kendo-grid-messages pagerPage="صفحه" pagerOf="از" pagerItems="مورد" pagerItemsPerPage="تعداد مورد در هر صفحه">
                </kendo-grid-messages>
            </kendo-grid>
            <div *ngIf="loading" class="k-i-loading"></div>
        </div>
    </mat-card-content>
</mat-card>